Support » Plugin: Absolutely Glamorous Custom Admin » Immediately Broke Multisite

  • I installed and network activated it on my multisite WP site. It seemed to work in the browser tab in which I was modifying the settings, but then I opened a new browser window (chrome incognito) to view my site – and got a 500 error. I went back to my original browser window and undid the settings, but every other attempt I made to access my site got a 500 error. I accessed my server via ftp and deactivated all plugins – magically the site worked again. Reactivated plugins, site went back down (But still working in that one original back-end window I hadn’t closed.) So I deactived and uninstalled AGCA, and everything went back to normal. If something’s going to break multisite quite that spectacularly, it should at least come with a big warning.

    Also – it didn’t actually delete it’s settings from the database during uninstall. Not sure if that’s a glitch with multisite or if it’s just coded with a sloppy uninstall.

    • This topic was modified 1 year, 3 months ago by  pixieblitz.
Viewing 4 replies - 1 through 4 (of 4 total)
  • Plugin Author cusmin

    (@cusmin)

    Hi,

    We are sorry for your experience, this is the first time someone reported 500 error on multisite. It would really help us to identify the issue if you could check the logs and find the real error message behind that. Thanks!

    This showed up repeatedly in my logs, if it helps:
    (I used [mydirectoryname] instead of the actual path on my server, which showed up in my logs.)

    [Thu Apr 19 21:30:49 2018] [warn] [client 67.85.81.229] mod_fcgid: stderr: PHP Warning:  require_once(/home/[mydirectoryname]/[mydomainname]/wp-admin/includes/plugin.php#general-settings): failed to open stream: No such file or directory in /home/[mydirectoryname]/[mydomainname]/wp-content/plugins/ag-custom-admin/plugin.php on line 456
    
    [Thu Apr 19 21:30:49 2018] [warn] [client 67.85.81.229] mod_fcgid: stderr: PHP Fatal error:  require_once(): Failed opening required '/home/[mydirectoryname]/[mydomainname]/wp-admin/includes/plugin.php#general-settings' (include_path='.:') in /home/[mydirectoryname]/[mydomainname]/wp-content/plugins/ag-custom-admin/plugin.php on line 456
    Plugin Author cusmin

    (@cusmin)

    It helps a lot, thank you so much! We will fix this and prepare it for the next version. Sorry once again for the inconvenience that this caused.

    Plugin Author cusmin

    (@cusmin)

    FYI, 6.2 has the fix applied if you want to try it out. Thanks for reporting!

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘Immediately Broke Multisite’ is closed to new replies.